summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMark Loeser <halcy0n@gentoo.org>2009-05-10 01:41:33 +0000
committerMark Loeser <halcy0n@gentoo.org>2009-05-10 01:41:33 +0000
commit429f16b2700e5ce763fabba288020c0bb360dd43 (patch)
treee143f664368d23ab9cf21c9ae8984d802f651234 /eclass/toolchain-binutils.eclass
parentwhitespace (diff)
downloadhistorical-429f16b2700e5ce763fabba288020c0bb360dd43.tar.gz
historical-429f16b2700e5ce763fabba288020c0bb360dd43.tar.bz2
historical-429f16b2700e5ce763fabba288020c0bb360dd43.zip
binutils >= 2.18 is GPL-3
Diffstat (limited to 'eclass/toolchain-binutils.eclass')
-rw-r--r--eclass/toolchain-binutils.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/toolchain-binutils.eclass b/eclass/toolchain-binutils.eclass
index b1adf015a1d3..9e2bb5d24e1f 100644
--- a/eclass/toolchain-binutils.eclass
+++ b/eclass/toolchain-binutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.80 2009/05/09 20:57:33 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.81 2009/05/10 01:41:33 halcy0n Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
#
@@ -38,7 +38,7 @@ else
BVER=${BINUTILS_VER}
fi
-inherit eutils libtool flag-o-matic gnuconfig multilib ${extra_eclass}
+inherit eutils libtool flag-o-matic gnuconfig multilib versionator ${extra_eclass}
EXPORT_FUNCTIONS src_unpack src_compile src_test src_install pkg_postinst pkg_postrm
export CTARGET=${CTARGET:-${CHOST}}
@@ -70,7 +70,11 @@ add_src_uri binutils-${PV}-patches-${PATCHVER}.tar.bz2 ${PATCHVER}
add_src_uri binutils-${PV}-uclibc-patches-${UCLIBC_PATCHVER}.tar.bz2 ${UCLIBC_PATCHVER}
add_src_uri elf2flt-${ELF2FLT_VER}.tar.bz2 ${ELF2FLT_VER}
-LICENSE="|| ( GPL-2 LGPL-2 )"
+if version_is_at_least 2.18 ; then
+ LICENSE="|| ( GPL-3 LGPL-3 )"
+else
+ LICENSE="|| ( GPL-2 LGPL-2 )"
+fi
IUSE="gold nls multitarget multislot test vanilla"
if use multislot ; then
SLOT="${CTARGET}-${BVER}"